*--
*-- MCM32.CC  (Version 5.2.0)
*--

#define MCM_EOF            (-1)

#define MCM_DEBUG_OFF      0
#define MCM_DEBUG_LOW      1
#define MCM_DEBUG_HIGH     2

#define MCM_GET_VERSION             100
#define MCM_GET_VERSION_1ST_PART    101
#define MCM_GET_VERSION_2ND_PART    102
#define MCM_GET_VERSION_3RD_PART    103
#define MCM_GET_BUILD               104
#define MCM_GET_RECIPIENT           110
#define MCM_GET_SUBJECT             111
#define MCM_GET_BODY                112
#define MCM_GET_FROM                113
#define MCM_GET_LETTER              114
#define MCM_GET_BAD_FILENAME        115
#define MCM_GET_SEE_VERSION         116
#define MCM_GET_LAST_RESPONSE       117
#define MCM_GET_CID                 120
#define MCM_GET_CUSTOMER_ID         120
#define MCM_GET_ALLOWED_CHANNELS    121
#define MCM_GET_ALLOWED_LIST_SIZE   122
#define MCM_GET_ALLOWED_SKIP_FILES  123
#define MCM_GET_ALLOWED_REPLY_FILES 124
#define MCM_GET_EDITION             125
#define MCM_GET_REGISTRATION        126
#define MCM_SET_SMTP_PROTOCOL       127
#define MCM_GET_LETTER_LINE_NBR     201
#define MCM_GET_LETTER_CHAR_POS     202
#define MCM_GET_LETTER_LINES        203
#define MCM_GET_LETTER_MACROS       204
#define MCM_GET_LETTER_MACRO_LINE   205
#define MCM_GET_LIST_LINE_NBR       301
#define MCM_GET_MAX_LIST_SIZE       302
#define MCM_GET_LIST_LINES          303
#define MCM_GET_LIST_MACRO_COUNT    304
#define MCM_GET_LIST_DELIMITER      305
#define MCM_GET_LIST_ERROR_STRING   306
#define MCM_GET_SKIP_FILE_LIMIT     307
#define MCM_GET_REPLY_FILE_LIMIT    308
#define MCM_GET_MAX_CHANNELS        406
#define MCM_GET_CHANNEL_STATUS      407
#define MCM_GET_EMAIL_QUEUED_COUNT  408
#define MCM_GET_EMAIL_SENT_COUNT    409
#define MCM_GET_EMAIL_ERROR_COUNT   410
#define MCM_GET_SKIP_LINES          421
#define MCM_GET_TIME_STAMP          422
#define MCM_GET_LAST_EMAIL_SENT     423
#define MCM_GET_NBR_EMAILS_DELETED  424
#define MCM_SET_DEBUG_LEVEL         701
#define MCM_SET_MAX_CHANNELS        702
#define MCM_SET_DUPLICATE_DETECT    704
#define MCM_SET_CHANNEL_DIVISOR     705
#define MCM_SET_MACRO_DELIMITER     706
#define MCM_AUTO_LOAD_HEADER_FILE   707
#define MCM_ADD_BOUNCE_STRING       708
#define MCM_SET_FROM_ADDRESS        801
#define MCM_WRITE_TO_LOG            802
#define MCM_SET_CC_ADDRESS          804
#define MCM_SET_BCC_ADDRESS         805
#define MCM_ALLOW_EMPTY_FIELDS      806
#define MCM_SET_RCPT_TRACE_FILE     807
#define MCM_GET_BOUNCE_STRING       900
#define MCM_RESERVED               1000

*-- merge return codes

#define MCM_MERGE_INVALID_ADDRESS       1001
#define MCM_MERGE_DUPLICATE_ADDRESS     1002
#define MCM_MERGE_BRACKETS_NOT_ALLOWED  1003
#define MCM_MERGE_CANNOT_OPEN_ATTACH    1004
#define MCM_MERGE_UNKNOWN_CHARSET       1005
#define MCM_MERGE_EMPTY_MACRO_STRING    1006
#define MCM_MERGE_EMPTY_LIST_STRING     1007

*-- runtime statistics (see mcmStatisics)

#define MCM_STAT_TOTAL_RECIPIENTS        2001
#define MCM_STAT_BRACKETED_ADDRESSES     2002
#define MCM_STAT_INVALID_ADDRESSES       2003
#define MCM_STAT_DUPLICATE_ADDRESSES     2004
#define MCM_STAT_WITH_BAD_ATTACHMENT     2005
#define MCM_STAT_SKIPPED_ADDRESSES       2006
#define MCM_STAT_WITH_UNKNOWN_CHARSETS   2007
#define MCM_STAT_AVG_SEND_TIME           2008
#define MCM_STAT_AVG_CONNECT_TIME        2009
#define MCM_STAT_WITH_EMPTY_MACRO_STRING 2010
#define MCM_STAT_WITH_EMPTY_LIST_STRING  2011

*-- deletion code masks (see mcmReadReply)

#define MCM_DELETE_BOUNCED        1
#define MCM_DELETE_MATCHED        2
#define MCM_DELETE_OTHER          4

*-- SMTP authentication codes

#define SMTP_AUTHENTICATE_CRAM    1
#define SMTP_AUTHENTICATE_LOGIN   2
#define SMTP_AUTHENTICATE_PLAIN   4

*-- MCM function declarations

extern CLONG mcmAttach(CLONG,CLONG,CLONG,CLONG,CSTRING) MCM32.DLL
extern CLONG mcmComputeCRC(CSTRING) MCM32.DLL
extern CLONG mcmGetError(CLONG,CSTRING,CLONG) MCM32.DLL
extern CLONG mcmGetInteger(CLONG) MCM32.DLL
extern CLONG mcmGetInteger2(CLONG, CLONG) MCM32.DLL
extern CLONG mcmGetLetterMacro(CLONG,CSTRING,CLONG) MCM32.DLL
extern CLONG mcmGetListMacro(CLONG,CSTRING,CLONG) MCM32.DLL
extern CLONG mcmGetString(CLONG,CSTRING,CLONG) MCM32.DLL
extern CLONG mcmGetString2(CLONG,CLONG,CSTRING,CLONG) MCM32.DLL
extern CLONG mcmKillProgram(CLONG,CLONG) MCM32.DLL
extern CLONG mcmLoadString(CSTRING,CSTRING) MCM32.DLL
extern CLONG mcmMergeNext(CVOID) MCM32.DLL
extern CLONG mcmMergeText(CLONG, CSTRING, CLONG) MCM32.DLL
extern CLONG mcmOpenBounce(CSTRING) MCM32.DLL
extern CLONG mcmOpenHeader(CSTRING) MCM32.DLL
extern CLONG mcmOpenLetter(CSTRING) MCM32.DLL
extern CLONG mcmOpenList(CSTRING) MCM32.DLL
extern CLONG mcmOpenReply(CSTRING, CSTRING) MCM32.DLL
extern CLONG mcmOpenSkip(CSTRING) MCM32.DLL
extern CLONG mcmPop3Close(CVOID) MCM32.DLL
extern CLONG mcmPop3Connect(CSTRING,CLONG,CSTRING,CSTRING) MCM32.DLL
extern CLONG mcmReadReply(CSTRING,CLONG,CLONG) MCM32.DLL
extern CLONG mcmRelease(CVOID) MCM32.DLL
extern CLONG mcmSearch(CSTRING) MCM32.DLL
extern CLONG mcmSendMail(CVOID) MCM32.DLL
extern CLONG mcmSetInteger(CLONG,CLONG) MCM32.DLL
extern CLONG mcmSetProxySSL(CLONG,CLONG,CSTRING,CSTRING,CSTRING,CLONG) MCM32.DLL
extern CLONG mcmSetString(CLONG,CSTRING) MCM32.DLL
extern CLONG mcmSleep(CLONG) MCM32.DLL
extern CLONG mcmSmtpClose(CVOID) MCM32.DLL
extern CLONG mcmSmtpConnect(CSTRING,CLONG,CSTRING,CSTRING,CSTRING,CLONG,CLONG) MCM32.DLL
extern CLONG mcmStartProgram(CSTRING) MCM32.DLL
extern CLONG mcmStatistics(CLONG) MCM32.DLL
extern CLONG mcmUtility(CLONG, CSTRING) MCM32.DLL
extern CLONG mcmWriteToLog(CSTRING) MCM32.DLL
extern CLONG mcmMakeStyled(CSTRING,CSTRING,CLONG,CSTRING,CLONG) MCM32.DLL
